Cyberduck Mountain Duck CLI

#5323 closed enhancement (worksforme)

Application updater ends transfer prematurely

Reported by: rotero Owned by: yla
Priority: low Milestone: 4.3
Component: core Version: 4.0b4
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description

Steps to reproduce: Start a download from an FTP server. Use the Check for Updates command to get the newest version of the program.

Expected behavior: The updater allows the transfer to complete before closing Cyberduck.

Actual behavior: The updater closed Cyberduck before the transfer completed, resulting in an incomplete, unusable file on the local machine. A dialog appeared that prompted to end the Cyberduck process, but it had already been closed.

Change History (9)

comment:1 Changed on Oct 14, 2010 at 3:04:26 PM by dkocher

  • Milestone set to 4.0b5
  • Summary changed from new version updater ends transfer prematurely to Application updater ends transfer prematurely

comment:2 Changed on Nov 4, 2010 at 12:56:11 PM by dkocher

  • Milestone 4.0b6 deleted
  • Priority changed from normal to low

comment:3 Changed on Feb 24, 2011 at 5:30:55 PM by dkocher

  • Milestone set to 4.0b10
  • Priority changed from low to normal

I can replicate this issue.

comment:4 Changed on Mar 18, 2011 at 1:01:28 PM by dkocher

  • Milestone 4.1 deleted
  • Priority changed from normal to low

comment:5 Changed on Jul 29, 2011 at 6:07:32 PM by dkocher

  • Milestone set to 4.1.2

comment:6 Changed on Sep 27, 2011 at 5:18:26 AM by dkocher

  • Milestone 4.1.3 deleted

comment:7 Changed on Oct 17, 2012 at 8:00:07 PM by dkocher

  • Owner set to yla
  • Type changed from defect to enhancement

comment:8 Changed on Dec 26, 2012 at 6:20:00 PM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

In the meantime there is a new version of the updater integrated.

comment:9 Changed on Dec 26, 2012 at 10:30:44 PM by dkocher

  • Milestone set to 4.2.2
Note: See TracTickets for help on using tickets.
swiss made software